Skip to main content
POST
Create a new destination

Authorizations

X-Api-Key
string
header
required

Path Parameters

projectIdOrName
string
required

The Ampersand project ID or project name.

Body

application/json
name
string
required

Name for the new destination. Must be unique within the project and can only contain letters, numbers and dashes.

Example:

"leadConvertedWebhook"

type
enum<string>
required

The type of the destination.

Available options:
webhook,
kinesis,
s3
Example:

"webhook"

metadata
object
required
secrets
object

Secrets for the destination.

Response

Created

id
string
required

The destination ID.

name
string
required

User-defined name for the destination.

Example:

"leadConvertedWebhook"

type
string
required

The type of the destination.

Example:

"webhook"

metadata
object
required
createTime
string<date-time>
required

The time the destination was created.

updateTime
string<date-time>

The time the destination was updated.